> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar direcciones

> Lista todas las direcciones de todos los clientes.



## OpenAPI

````yaml /api/openapi.json get /customers/addresses
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /customers/addresses:
    get:
      tags:
        - Clientes - Direcciones
      summary: Listar direcciones
      description: Lista todas las direcciones de todos los clientes.
      operationId: get-customers-addresses
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  data:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        line:
                          type: string
                          minLength: 1
                        apartment:
                          type: string
                        erpCode:
                          type: string
                        zipCode:
                          type: string
                        reference:
                          type: string
                          minLength: 1
                        extraFields:
                          type: object
                        isDefault:
                          type: boolean
                        contact:
                          type: object
                          properties:
                            name:
                              type: string
                              minLength: 1
                            phone:
                              type: string
                              minLength: 1
                            documentNumber:
                              type: string
                            email:
                              type: string
                          required:
                            - name
                            - phone
                        customerId:
                          type: number
                        localityId:
                          type: number
                        createdAt:
                          type: string
                          minLength: 1
                        coordinates:
                          type: array
                          maxItems: 2
                          minItems: 2
                          items:
                            type: number
                            format: float
                      required:
                        - id
                        - line
                        - reference
                        - isDefault
                        - customerId
                        - createdAt
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - data
components:
  schemas:
    Pagination:
      type: object
      properties:
        page:
          type: integer
          description: Número de la página actual.
        pages:
          type: integer
          description: Número total de páginas.
        total:
          type: integer
          description: Cantidad total de elementos.
        hasPrevPage:
          type: boolean
          description: Indica si existe una página previa.
        hasNextPage:
          type: boolean
          description: Indica si existe una página siguiente.
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````